﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;
using ShakeGestures;

namespace PhoneAppShakeGestures
{
    public partial class MainPage : PhoneApplicationPage
    {
        // Constructor
        public MainPage()
        {
            InitializeComponent();

            // Register shake event
            ShakeGesturesHelper.Instance.ShakeGesture += new EventHandler<ShakeGestureEventArgs>(Instance_ShakeGesture);

            // Set parameters: control sensitivity
            ShakeGesturesHelper.Instance.MinimumRequiredMovesForShake = 3;
           
            // Start shake detection
            ShakeGesturesHelper.Instance.Active = true;

        }


        // Event handler for shake events
        void Instance_ShakeGesture(object sender, ShakeGestureEventArgs e)
        {
            Deployment.Current.Dispatcher.BeginInvoke(() =>
            {
                if (e.ShakeType == ShakeType.X)
                {
                    // Shaking the device left and right
                    this.textBlockDirection.Text = "Left and right (" + e.ShakeType.ToString() + ")";
                }
                else if (e.ShakeType == ShakeType.Y)
                {
                    // Shaking forward and backwards
                    this.textBlockDirection.Text = "Forward and backwards (" + e.ShakeType.ToString() + ")";
                }
                else if (e.ShakeType == ShakeType.Z)
                {
                    // Shaking up and down
                    this.textBlockDirection.Text = "Up and down (" + e.ShakeType.ToString() + ")";
                }
            });
        }
    }
}